Bug 467550 - RFE: upgrade to gnash 0.8.4
RFE: upgrade to gnash 0.8.4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 08:09 EDT by Paul Jenner
Modified: 2008-11-11 21:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jenner 2008-10-18 08:09:39 EDT
Description of problem:
Gnash stable version 0.8.4 was released 13/10/2008. Details here:

http://www.gnu.org/software/gnash/release-0.8.4.txt

Request Fedora package is upgraded to latest stable 0.8.4 release.

Version-Release number of selected component (if applicable):
gnash-0.8.3-6.fc9.i386
Comment 1 Patrice Dumas 2008-10-18 08:22:38 EDT
I am working on this in the devel branch, and I'll update also in F9 when is has been tested in devel. 

Accepting patches, and I'll try to do something this week end.
Comment 2 Paul Jenner 2008-10-18 08:34:46 EDT
Thanks for the quick response.

I will watch for updates and let me know via this bug if there is a build that you want me to test.
Comment 3 Patrice Dumas 2008-10-18 10:26:14 EDT
Looks like kde4 stuff is not in the release... Adding Kevin in CC.
Comment 4 Kevin Kofler 2008-10-18 10:30:58 EDT
If you commit what you have to devel, I'll take care of updating the KDE 4 backport.

(I still don't know how reliable it really is, but surely it can't be worse than having only the KDE 3 KPart which is not useful in KDE 4 Konqueror.)

Are you planning to also upgrade this in F8? I'm asking because in that case, it might be useful to conditionalize the KDE 4 stuff - we definitely want the KDE 3 KPart in F8, not the KDE 4 one, F8 has Konqueror 3, so it's either specfile conditionals or separate specfiles.
Comment 5 Patrice Dumas 2008-10-18 10:35:53 EDT
(In reply to comment #4)
> If you commit what you have to devel, I'll take care of updating the KDE 4
> backport.

Right. I let your stuff as much as possible unchanged or in comments. 

> (I still don't know how reliable it really is, but surely it can't be worse
> than having only the KDE 3 KPart which is not useful in KDE 4 Konqueror.)

Agreed.

> Are you planning to also upgrade this in F8? I'm asking because in that case,
> it might be useful to conditionalize the KDE 4 stuff - we definitely want the
> KDE 3 KPart in F8, not the KDE 4 one, F8 has Konqueror 3, so it's either
> specfile conditionals or separate specfiles.

I don't plan to change anything in F8, it is still at 0.8.2 and I
prefer not to destabilize it.
Comment 6 Patrice Dumas 2008-10-18 16:49:09 EDT
Kevin, I commited something that build and works for me in firefox. 
Feel free to reenable your kde4 stuff. You can build or tell me when 
you're done.
Comment 7 Kevin Kofler 2008-10-18 19:38:48 EDT
Built for F10 (devel branch).
Comment 8 Patrice Dumas 2008-10-19 06:31:27 EDT
(In reply to comment #2)
> Thanks for the quick response.
> 
> I will watch for updates and let me know via this bug if there is a build that
> you want me to test.

You can try
http://koji.fedoraproject.org/koji/buildinfo?buildID=66731
but since it is for another release (th eupcoming F10) it may not install
nor work. I will push it to F-9, but later.
Comment 9 Fedora Update System 2008-10-20 17:42:56 EDT
gnash-0.8.4-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gnash-0.8.4-3.fc9
Comment 10 Fedora Update System 2008-10-23 12:39:29 EDT
gnash-0.8.4-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9066
Comment 11 Paul Jenner 2008-10-24 15:35:49 EDT
Works for me - at least with no regressions since gnash-0.8.3-6.fc9 in the tests I have tried.
Comment 12 Fedora Update System 2008-11-11 21:55:51 EST
gnash-0.8.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.